# Uses of Class
it.tdlight.jni.TdApi.ChatStatisticsObjectType

## Uses of TdApi.ChatStatisticsObjectType in it.tdlight.jni

Subclasses of TdApi.ChatStatisticsObjectType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ChatStatisticsObjectTypeMessage`
Describes a message sent in the chat.
`static final class`
`TdApi.ChatStatisticsObjectTypeStory`
Describes a story sent by the chat.
Fields in it.tdlight.jni declared as TdApi.ChatStatisticsObjectType
Modifier and Type
Field
Description
`TdApi.ChatStatisticsObjectType`
TdApi.ChatStatisticsInteractionInfo.`objectType`
Type of the object.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatStatisticsObjectType
Modifier
Constructor
Description
``
`ChatStatisticsInteractionInfo(TdApi.ChatStatisticsObjectType objectType, int viewCount, int forwardCount, int reactionCount)`
Contains statistics about interactions with a message sent in the chat or a story sent by the chat.